Qiime dada2 denoise-paired giving error

I believe this topic has really been exhausted, please bare with me, I have Illumina ITS (1 and 4) Miseq paired end data and I received the sequences with barcodes removed and I then removed the illumina adapters and low quality reads using trimmomatic, so I tried removing primers using QIIME DADA2. I have attached a screenshot of what my sequences looked like prior oligos removal
I then ran
qiime dada2 denoise-paired
--i-demultiplexed-seqs 1paired-end-demux.qza
--p-trim-left-f 19
--p-trunc-len-f 300
--p-trim-left-r 20
--p-trunc-len-r 280
--o-representative-sequences unite-ver7-99-classifier-20.11.2016.qza
--output-dir table-dada2.qza
and I get this error Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /var/tmp/pbs.1477438.sched01/qiime2-q2cli-err-n5_abr_f.log

Kindly assist

Hi there @kedi!

Can you please attach that file to this topic? If it doesn’t exist anymore, please rerun your command above with the --verbose flag added in, and copy-and-paste the results here.

Thanks!

Hi

Sorry for only getting back to you now, couldnt locate the err file, this is the error I got

Traceback (most recent call last):
File “/apps/chpc/bio/anaconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 229, in denoise_paired
run_commands([cmd])
File “/apps/chpc/bio/anaconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
subprocess.run(cmd, check=True)
File “/apps/chpc/bio/anaconda3/envs/qiime2-2018.6/lib/python3.5/subprocess.py”, line 398, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/var/tmp/pbs.1484090.sched01/tmpzb83710l/forward’, ‘/var/tmp/pbs.1484090.sched01/tmpzb83710l/reverse’, ‘/var/tmp/pbs.1484090.sched01/tmpzb83710l/output.tsv.biom’, ‘/var/tmp/pbs.1484090.sched01/tmpzb83710l/track.tsv’, ‘/var/tmp/pbs.1484090.sched01/tmpzb83710l/filt_f’, ‘/var/tmp/pbs.1484090.sched01/tmpzb83710l/filt_r’, ‘300’, ‘280’, ‘19’, ‘20’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/apps/chpc/bio/anaconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/apps/chpc/bio/anaconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 232, in bound_callable
output_types, provenance)
File “/apps/chpc/bio/anaconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 367, in callable_executor
output_views = self._callable(**view_args)
File “/apps/chpc/bio/anaconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 244, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Thanks for your assistance

Hey there @kedi - it looks like the entire error log didn’t make it into the post — you should see something that looks like this when you run your command with the --verbose flag. When in doubt, copy everything the command outputs. Thanks!


Hi

Sorry for only responding now, I was out sampling.

Regards

Hi @kedi - did you run with the --verbose flag? That still looks like it is missing the main body of the traceback.

Hi @thermokast

Thanks for your response, it turned out it was the issue of memory, tried to rectify the error, however it gives me the empty outputs

thanks in advance for your assistance

Hey there @kedi — I can’t really say for sure what is happening without seeing the full (--verbose) output when running the failing command. Please copy-and-paste that here. Thanks!

qiime2-q2cli-err-p7u4utv6.txt (2.6 KB)
qiime2-q2cli-err-p7u4utv6.txt (2.6 KB)
Hi

Please find the attached error

Thanks @kedi!

From the error log:

Mismatched forward and reverse sequence files: 100000, 602.

At least one of your samples has significantly more forward reads than reverse reads. Did you demux these sequences yourself? If so, can you provide some detail on how? If they came to you demuxed, how did you import them?

I did quality filtering using trimmomatric, then used qiime tools import --type ‘SampleData[PairedEndSequencesWithQuality]’ --input-path manifest --output-path paired-end-demux.qza --source-format PairedEndFastqManifestPhred3, to import then I proceeded to the dada2 denoise step